var config = require('./gulp/config.js');
var webpack = require('webpack');

module.exports = {
     context: __dirname + '/' + config.js.src,
     entry: __dirname + '/' + config.js.main,
     output: {
         path: __dirname + config.js.dest,
         filename: config.project_name + '.js',
         library: config.project_name
     },
     module: {
         loaders: [
            {
                test:  /\.json$/, loader: 'json-loader',
             }, {
                test: /\.js$/,
                exclude: /node_modules/,
                loader: 'babel-loader'
             }
         ]
     },
     resolve: {
        extensions: ['', '.webpack.js', '.web.js', '.js']
      },
      node: {
          console: 'empty',
          fs: 'empty',
          net: 'empty',
          tls: 'empty'
      },
    plugins: [
        new webpack.ProvidePlugin({
            $: "jquery",
            jQuery: "jquery"
        })
    ]
 }
