import $ from 'jquery'

export default class ClassUtils {

    constructor() {
        this.storage = []
    }
    
    getInheritanceTree(obj, exclude=['Object']) {
        var proto = Object.getPrototypeOf(obj)
        var copy = []
        var self = this
        if(proto !== null) {
            if(exclude.indexOf(proto.constructor.name) === -1) {
                self.storage.push(proto)
            }
            return self.getInheritanceTree(proto, exclude)
        }
        copy = this.storage.reverse().slice()
        this.storage = []
        return copy
    }
}
